<?php
namespace admin\view;

class ArticleSort {

  public function drawPageArticles( $id )
  {
    global $lang;

    $tpl = new \Savant3();
    $tpl -> _id       = $id;
    $tpl -> _title    = \System::getPageTitle( $id );
    $tpl -> _articles = \admin\factory\ArticleSort::getPageArticleSort( $id );
    return $tpl -> fetch( 'templates/page-article-sort.php');
  }

  public function showPages()
  {
		global $sys , $lang;

		$out = \admin\view\PagePanel::show( false , false , false , $lang -> getTrans( 'T_SORTOWANIE_ARTYKULOW' )  );
    $tab = \System::getPagesTitle();

		$dbrowse = new \DataBrowse( 'pcms_page' );
		$dbrowse -> addPosition( 'id'       , $lang -> getTrans( 'T_STRONA' )    , '' , $tab , '' , true );
    $dbrowse -> addPositionSimple( $lang -> getTrans( 'T_POKAZ' ) , '' , './?rw=page' );
		$dbrowse -> setParam( 'id' );
		$dbrowse -> addSort( 'id ASC' );
		$dbrowse -> addLp();
		$out .= $dbrowse -> draw();

		return $out;

  }
}
?>
